package cn.timer.api.controller.disk.sevice;

import cn.timer.api.bean.disk.DiskCatalogue;
import cn.timer.api.bean.disk.DiskCloudDiskUser;
import cn.timer.api.bean.disk.DiskFiles;
import cn.timer.api.dto.disk.DiskCatalogueDto;
import cn.timer.api.dto.disk.DiskCatalogueParam;
import cn.timer.api.dto.disk.DiskCloudDiskUserParam;

import java.util.List;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/1/4
 */
public interface DiskCloudDiskUserService {
    /**
     * 判断用户是否拥有该权限
     * @param diskCatalogueDto
     * @return
     */
    boolean getDiskUserRole(DiskCatalogueDto diskCatalogueDto, DiskCatalogue catalogue);

    /**
     * 获取空间具体权限
     * @param diskCatalogueParam
     * @return
     */
    List<DiskCatalogue> getDiskCatalogueList(DiskCatalogueParam diskCatalogueParam);
}
