package cn.timer.api.dao.disk;


import cn.timer.api.bean.disk.DiskFilesLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 云盘-文件浏览记录表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 10:05:49
 */
@Repository
public interface DiskFilesLogMapper extends BaseMapper<DiskFilesLog> {

    List<DiskFilesLog> queryDiskFilesLog(@Param("diskFilesLog") DiskFilesLog diskFilesLog,
                                         @Param("orgId") Integer orgId,
                                         @Param(value = "pageNum") Integer pageNum,
                                         @Param(value = "pageSize") Integer pageSize);

	
}
