package cn.timer.api.dao.disk;


import cn.timer.api.bean.disk.DiskShare;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 云盘-文件分享表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 10:05:49
 */
@Repository
public interface DiskShareMapper extends BaseMapper<DiskShare> {

    List<DiskShare> queryDiskShare(@Param("diskShare") DiskShare diskShare,
                                   @Param("orgId") Integer orgId,
                                   @Param(value = "pageNum") Integer pageNum,
                                   @Param(value = "pageSize") Integer pageSize);
}
