package cn.timer.api.dao.disk;


import cn.timer.api.bean.disk.DiskReceived;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 云盘-文件接收表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 10:05:49
 */
@Repository
public interface DiskReceivedMapper extends BaseMapper<DiskReceived> {

    List<DiskReceived> queryDiskReceived(@Param("diskReceived") DiskReceived diskReceived,
                                         @Param("orgId") Integer orgId,
                                         @Param(value = "pageNum") Integer pageNum,
                                         @Param(value = "pageSize") Integer pageSize);
	
}
